#pragma once
#include <vector>

namespace Wt::Auth {
class AuthService;
class AbstractPasswordService;
class OAuthService;
}

namespace eedb::auth {

class Services {
  public:
    static void configureAuth();

    static Wt::Auth::AuthService * authService();

    static Wt::Auth::AbstractPasswordService * passwordService();

    static std::vector< const Wt::Auth::OAuthService * > oAuthServices();
};
}
